Ubuntu

plymouth main process (341) killed by SEGV signal

Reported by Ralf Hildebrandt on 2010-04-28
96
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Plymouth
Invalid
Undecided
Unassigned
plymouth (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: plymouth

During boot, plymouth crashes with a segmentation violation and subsequently plymouth-splash and plymouth-log are terminating.
After that, the boot process would hang forever.

init: plymouth main process (341) killed by SEGV signal
init: plymouth-splash main process (3011) terminated with status 2
init: plymouth-log main process (3047) terminated with status 1

Attached is a screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.2-2ubuntu1
Uname: Linux 2.6.31-grml i686
NonfreeKernelModules: af_packet video output sbs sbshc pci_slot battery ac fuse ipv6 scb2_flash mtd chipreg map_funcs i2c_piix4 rtc_cmos button processor container i2c_core rtc_core rtc_lib hpilo evdev pcspkr loop aufs usb_storage usb_libusual ohci_hcd ehci_hcd tg3 sg aic7xxx scsi_transport_spi usbcore sworks_agp floppy thermal fan squashfs
Architecture: i386
Date: Wed Apr 28 16:00:10 2010
DefaultPlymouth: Error: command ['readlink', '/etc/alternatives/default.plymouth'] failed with exit code 1:
Lsusb: Error: [Errno 2] No such file or directory
MachineType: HP ProLiant DL360 G3
ProcCmdLine: initrd=/boot/grml/initrd.gz boot=live apm=power-off vga=791 quiet nomce BOOT_IMAGE=/boot/grml/linux26
ProcEnviron:
 PATH=(custom, no user)
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
SourcePackage: plymouth
TextPlymouth: Error: command ['readlink', '/etc/alternatives/text.plymouth'] failed with exit code 1:
dmi.bios.date: 05/01/2004
dmi.bios.vendor: HP
dmi.bios.version: P31
dmi.chassis.type: 23
dmi.chassis.vendor: HP
dmi.modalias: dmi:bvnHP:bvrP31:bd05/01/2004:svnHP:pnProLiantDL360G3:pvr:cvnHP:ct23:cvr:
dmi.product.name: ProLiant DL360 G3
dmi.sys.vendor: HP

The machine had been rebooted using a grml rescue disk and after that I used ubuntu-bug to report this...

Nicola Rosati (supernaicol) wrote :

This bug is affecting me too, but it happens only when (and everytime) I boot my machine with my own custom kernel (compiled from ubuntu kernel source package using kernel-package).
When i boot the stock kernel that I'm keeping "just in case" (at present 2.6.32-21) everything works fine.

System: Kubuntu 10.04
Arch: amd64
Kernel (affected): 2.6.32.11+drm33.2

Bye. Nicola

Felix Krohn (felix-kro) wrote :

Same here: When booting on a kernel that is optimised for headless usage on dedicated servers, plymouth quits ungracefully. I tried adding "--debug" in /etc/init/plymouth.conf, which leads to the following output: (see screenshot)

System: Ubuntu Server 10.04 (both 32 and 64bit)
Kernel: vanilla 2.6.32.2

Can you pleas tell us, which Kernel patches and/or options plymouth needs to operate in the simplest possible way? (just text, no useless highdef-coloured-25fps splash screen)

ozonito (ozonito) wrote :

Same here: Any solution?

Felix Krohn (felix-kro) wrote :

# apt-cache show ureadahead
[...]
 ureadahead requires a kernel patch included in the Ubuntu kernel.
[...]
# aptitude purge ubuntu-minimal ureadahead
# reboot

I don't have that message anymore (but the system still doesn't boot up completely)

Felix Krohn (felix-kro) wrote :

Correction: I still get (part of) the message, it was simply hidden by debug output.
Interestingly the server now pings (static network configuration, no NetworkManager). Services aren't started at all, Logs are not written to disk. New screenshot attached.

Changed in plymouth (Ubuntu):
importance: Undecided → High
Felix Krohn (felix-kro) wrote :

After purging ureadahead and adding CONFIG_DEVTMPFS=y as well as CONFIG_DEVTMPFS_MOUNT=y in my kernel, I can now boot beneath that point where plymouth crashed before.

It would be nice to document that dependency somewhere.

Now my systems still don't boot completely, but it seems that's rather due to a problem with upstart/mountall/udev and not plymouth, I will comment on in another bug if I come around to find out more.

Steve Langasek (vorlon) wrote :

Ralf, are you also using a non-Ubuntu kernel when you boot?

I don't know what kernel options are required in order to use plymouth. However, plymouth crashing should only stall the boot if interaction is needed - such as because an fsck failed or a passphrase is needed to decrypt a disk. So I don't think the plymouth segfault is the cause of your problems here, though certainly we would want to solve any segfaults you're seeing.

* Steve Langasek <email address hidden>:
> Ralf, are you also using a non-Ubuntu kernel when you boot?

No.

> I don't know what kernel options are required in order to use plymouth.
> However, plymouth crashing should only stall the boot if interaction is
> needed - such as because an fsck failed or a passphrase is needed to
> decrypt a disk. So I don't think the plymouth segfault is the cause of
> your problems here, though certainly we would want to solve any
> segfaults you're seeing.

So how do I debug this?

--
Ralf Hildebrandt
  Geschäftsbereich IT | Abteilung Netzwerk
  Charité - Universitätsmedizin Berlin
  Campus Benjamin Franklin
  Hindenburgdamm 30 | D-12203 Berlin
  Tel. +49 30 450 570 155 | Fax: +49 30 450 570 962
  <email address hidden> | http://www.charite.de

Steve Langasek (vorlon) wrote :

Ralf,

Is it reproducible if you boot without the 'quiet splash' boot arguments?

If so, can you boot without 'quiet splash' and with '--verbose' added to the boot options and report the last output when booting this way?

* Steve Langasek <email address hidden>:
> Ralf,
>
> Is it reproducible if you boot without the 'quiet splash' boot
> arguments?

Yes.

> If so, can you boot without 'quiet splash' and with '--verbose' added to
> the boot options and report the last output when booting this way?

I can try that once I'm back from vacation.

--
Ralf Hildebrandt
  Geschäftsbereich IT | Abteilung Netzwerk
  Charité - Universitätsmedizin Berlin
  Campus Benjamin Franklin
  Hindenburgdamm 30 | D-12203 Berlin
  Tel. +49 30 450 570 155 | Fax: +49 30 450 570 962
  <email address hidden> | http://www.charite.de

Rajeev (rajeeja) wrote :

Please update the status if fixed.

Thanks.

Rajeev

Rajeev (rajeeja) wrote :

I see the plymouth error in recovery mode. In normal mode, I'm able to boot without network connectivity, how can fix this connectivity problem.

Rajeev (rajeeja) wrote :

I fixed my networking issue. here is the link
http://ubuntuforums.org/showthread.php?p=9288885#post9288885

derPeter (peterhasse) wrote :

Same problem here. For me it helps to remove "quite splash" from the boot options.
I tried a stock and a custom kernel both fail to boot with quite and quite splash.

Alexander Kellett (a-lypanov) wrote :

Fixed my actual issue that was masked by these plymouth errors - a basic error in network/interfaces.

https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/512253

Thomas Zehetbauer (realborg) wrote :

same problem here; I also use a custom kernel; after rebooting with lucid the plymouth SEGV messages were the last thing I could see. had to reboot with init=/bin/bash and notice that upstart must have failed to fsck and remount,rw my rootfs

Steve Langasek (vorlon) wrote :

still waiting for feedback from the original submitter, per comment #12.

Changed in plymouth (Ubuntu):
status: New → Incomplete
risent (risent) wrote :

Solve this problem by enable the "kernel mode setting" options in the kernel config.

Tom Fields (udzelem) wrote :

I use dm-crypt/LUKS and therefore need the passphrase prompt.
After upgrading to Lucid, I am affected, too. Instead of the passphrase prompt, there are the same error messages than the original author of this bug report has:

> plymouth main process (xxx) killed by SEGV signal
> plymouth-splash main process (yyy) terminated with status 2
> plymouth-log main process (zzz) terminated with status 1

risent, can you please tell me, which "kernel mode setting" options you mean?

Doesent kernel mode setting depend on specific drivers which are only available for a very limited number of graphics cards?

Tom Fields (udzelem) wrote :

Appendix:

When booting the current distribution kernel, linux-image-2.6.32-24-generic, booting works without the crash/SEGV.

When booting the current stable 2.6. kernel from kernel.org (2.6.34.1), the boot stalls at the password prompt with the abovementioned SEGV and error messages. When entering the passphrase, the text is displayed in plain text(!!), but no further booting is possible.

I'm attaching my custom kernel's .config:

MM (mhrjob) wrote :

I've just installed fresh ubuntu 10.0.4. The problem is that system boots completely 1 out of 3 attempts.
After I select ubuntu in grub menu I get a blank screen with blinking cursor. Then after some time (30-60 seconds) I either get "plymouth main process (xxx) killed by SEGV signal" and boot process continues or nothing happens and I have to to a hard reboot. Very annoying.

Removing "quite splash" did not help.

Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: LENOVO 43192PU
NonfreeKernelModules: nvidia
Package: plymouth 0.8.2-2ubuntu2
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=b187911a-139f-45c7-b02f-f7247714e4a2 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcFB: 0 VGA16 VGA
ProcVersionSignature: Ubuntu 2.6.32-24.38-generic 2.6.32.15+drm33.5
Tags: lucid
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.32-24-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/19/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6NET54WW (1.17 )
dmi.board.name: 43192PU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6NET54WW(1.17):bd04/19/2010:svnLENOVO:pn43192PU:pvrThinkPadW510:rvnLENOVO:rn43192PU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 43192PU
dmi.product.version: ThinkPad W510
dmi.sys.vendor: LENOVO

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Adam Smith (as3758) wrote :

I have the same issue. Boot frequently hangs with blinking cursor top left. Can only power down and retry. Happens about 50% of the time. Rest of the time get "plymouth main process terminated" etc. as described in previous posting.

I'm pretty sure I'm having this issue too. I cannot boot into Ubuntu at all, as the boot crashes both in normal and recovery mode. I tried recovery mode and wrote down everything that appeared on the screen. It was:

udev[349]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/01-mountmanager.rules:6
udev[349]: BUS{}= will be removed in a future udev version, please use SUBSYSTEM{}= to match the event device, or SUBSYSTEMS{}= to match a parent device, in /etc/udev/rules.d/01-mountmanager.rules:6 (these appeared with "...../rules.d/01-mountmanager.rules:8" and "...../rules.d/01-mountmanager.rules:11" as well)

/dev/sda5: clean 318493/4096000 files, 9640602/16358178 blocks

init: plymouth-splash main process (586) terminated with status 1

I can currently only boot my Win7 partition. The Ubuntu one crashes every time, so I'm not sure how I can debug this further...?

Changed in plymouth (Ubuntu):
status: Incomplete → Confirmed
Steve Langasek (vorlon) wrote :

> init: plymouth-splash main process (586) terminated with status 1

That is not the same bug at all. Please file a separate bug report for your issue.

Setting this bug back to incomplete as we're still waiting from input from the bug submitter.

Changed in plymouth (Ubuntu):
status: Confirmed → Incomplete
atoms.h (thomas-pflueger) wrote :

Same here, however, this occurred first after the file system had to be checked due to the necessary number of prior boots. From then on it freezes. Now I can boot if I unplug the power chord of my notebook (X61t) and thereby skip the fs check....

Brian Candler (b-candler) wrote :

FWIW, I also see the plymouth main process "SEGV" when starting a 10.10 AMI image under KVM 10.04, with 'console=ttyS0' on the kernel command line. This is similar to the OP's report, except that I see plymouth-splash terminate first, and then plymouth main SEGV.

...
[ 1.480006] EXT4-fs (vda): re-mounted. Opts: (null)
[ 1.536167] Clocksource tsc unstable (delta = -110432051 ns)
::uncloud-init: changing ubuntu user's password!
[ 1.982495] JBD: barrier-based sync failed on vda-8 - disabling barriers
::uncloud-init: enabled console on ttyS0
::uncloud-init: enabled passwd auth in ssh
::uncloud-init: blacklisted vga16fb
[ 4.671857] EXT4-fs (vda): re-mounted. Opts: (null)
::uncloud-init: invoking /sbin/init
cloud-init start-local running: Tue, 19 Oct 2010 21:00:06 +0000. up 8.74 seconds
found data source: DataSourceNoCloud [seed=cmdline]
init: plymouth-splash main process (374) terminated with status 2
init: plymouth main process (65) killed by SEGV signal
Generating locales...
  en_US.UTF-8... done
Generation complete.
cloud-init start running: Tue, 19 Oct 2010 21:00:12 +0000. up 13.59 seconds
found data source: DataSourceNoCloud [seed=cmdline]
init: plymouth-log main process (467) terminated with status 1
 * Starting AppArmor profiles [ OK ]
Generating public/private rsa key pair.

Ubuntu 10.10 ubuntuhost ttyS0

ubuntuhost login:

--------
Relevant part of VM xml:
  <os>
    <type arch='x86_64' machine='pc-0.12'>hvm</type>
    <loader>/v/build/uec-vm/maverick-server-uec-i386-loader</loader>
    <kernel>/v/build/uec-vm/maverick-server-uec-i386-vmlinuz-virtual</kernel>
    <cmdline>root=/dev/vda ro console=ttyS0 init=/usr/lib/cloud-init/uncloud-init ds=nocloud ubuntu-pass=ubuntu</cmdline>
    <boot dev='hd'/>
  </os>

Tom Fields (udzelem) wrote :

Is this the Ubuntu experience?

Because of this bug, the issue that it is impossible to have a cryptsetup passphrase prompt at boot for non-Ubuntu-packaged kernels (i.e. using the kernel.org sources and make-kpkg) is still unresolved.

Similar bugs have been reported more than a year ago!

e.g.
https://bugs.launchpad.net/ubuntu/+source/mountall/+bug/497684
(look at the conclusion in the last comment by user "ceg")

To be constructive, possible workaround here in commend #10 and #11 in this thread:
https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/484272

After waiting, release after release, for these bugs to get fixed,
only to be disappointed, release by release, there is only one conclusion.
You _cannot_ rely on Ubuntu for anything that has to "just work". No way.
Not at all!

Damn, I am frustrated! Ubuntu 10.10 for chrissakes!

Steve Langasek (vorlon) wrote :

Tom,

The Ubuntu experience includes an Ubuntu kernel with which your issue is not reproducible. If you choose to use an upstream kernel with an arbitrarily different configuration, it's incumbent on you to tell *us* what the relevant config difference is that triggers this, if you think this is a plymouth bug that we should fix.

Regardless, this is a bug report by Ralf Hildebrandt, who reported a segfault when using the stock Ubuntu kernel package, not a custom kernel. So your issue is unlikely to be related to his. Please file a separate bug report for your issue and, as I said, please tell us what *specific* kernel configuration differences trigger this issue.

Due to the lack of feedback from Ralf, I'm closing this bug report as invalid to avoid further conflation of unrelated bugs. We can reopen this report if further information about Ralf's issue becomes available.

Changed in plymouth (Ubuntu):
status: Incomplete → Invalid
Changed in plymouth:
status: New → Invalid
Spring Zhang (qzhang) wrote :

Either plymouth or plymouth-splash, I just found this issue existing in my system was caused by /etc/fstab file corrupt, then it won't mount all file systems, so please have a check on syslog if possible.

linas (linasvepstas) wrote :

I hit this too, and so far, its been stunningly painful to work around. I have to run a custom kernel because I run RAID, and the stock Ubunutu kernels+initrd have never been able to handle having the root volume on RAID.

The older Ubuntu installs (e.g. dapper, feisty, jaunty) had installers that could at least install onto pre-exisiting raid partitions, but the newest iso's (lucid, & 64-bit desktops) can no longer install onto raid partitions. This, coupled to the spurious crash above, is making rescue *really* hard/tedious.

Same problem. Using my custom ARM kernel to boot Ubuntu. I tried to set CONFIG_CONNECTOR & CONFIG_INOTIFY. I set CONFIG_TMPFS, CONFIG_DEVTMPFS and CONFIG_DEVTMPFS_MOUNT I tried to disable unreadahead (by renaming /etc/init/unreadahead .conf to unreadahead.disable) because I use an SD-card. Finally I tried both: dev /dev tmpfs rw 0 0 and later dev /dev devtmpfs rw 0 0.

But I JUST KEEP getting the problem about:

plymounth-splash main process (xxx) terminated with status 2
plymounth main process (xxx) killed by SEGV signal
plymount-stop pre-start process (xxxx) terminated with status 1

This is really frustrated....

Felix Krohn (felix-kro) wrote :

@Melroy: what about CONFIG_SYSFS_DEPRECATED*? (should be =n in my experience.)

Also I tend to set CONFIG_DEVTMPFS_MOUNT=n

@Felix:
Do have:
CONFIG_SYSFS=y

I can try to set:
CONFIG_DEVTMPFS_MOUNT=n

Like it was before...

But:
# CONFIG_SYSFS_DEPRECATED_V2 is not set

(=n is the same as is not set I guess?)

Felix Krohn (felix-kro) wrote :

@Melroy:
Yes, that's what I meant. Here it works like a charm, although not on ARM but x84 and x86_64 (see ftp://ftp.ovh.net/made-in-ovh/bzImage/ for complete configs)
Also, try if you don't have a login mask on another tty (ctrl+alt+F2 for example), since it may happen that dying plymouth processes make tty1 unuseable, and although it looks bad the system came up just fine...

Sabin Sathian (sabin-sathian) wrote :

I had same issue trying to boot with custom kernel (3.1.6) on Ubuntu 11.04
Booting froze and after editing grub for non-silent, I could see the following:

init: plymouth main process (940) killed by SEGV signal
init: plymouth-splash main process (940) terminated with status 2

Though the final logs that we see on screen is about plymouth, the actual problem is with udev, and logs just scroll away:
udevd[1003]: failed to create queue file: No such file or directory

But fortunately I found a very simple solution:
"The real problem is that a new version of udevd requires an entry for /dev in /etc/fstab, as suggested here. I added at the end of /etc/fstab the following line:
dev /dev tmpfs rw 0 0"

Everything works fine with this change.

Thank you Jon, You are a life saver.
http://jonmccune.wordpress.com/2010/07/27/plymouth-main-process-341-killed-by-segv-signal/

Steve Langasek (vorlon) wrote :

It doesn't make any sense that you should have to manually add /dev to /etc/fstab; this mount point is already listed in /lib/init/fstab, which is shipped in the mountall package and is processed before udev is started. It sounds like there is some deeper problem with your system configuration diverging from a standard Ubuntu 10.04 install.

linas (linasvepstas) wrote :

still crashing after update from oneiric to precise pangolin. Bummer.

linas (linasvepstas) wrote :

The "add a dev /dev line to fstab" solution does not fix the problem.

Changed in plymouth (Ubuntu):
status: Invalid → New
linas (linasvepstas) wrote :

this bug was marked "invalid", I just changed it back to "new". Don't see what's invalid about it -- many people have been bit by this, its been many years, and the very latest, greatest, fresh-out-of-the-box Ubuntu release still has this bug. Booting ubuntu has become a nightmare the last few years, thank goodness I only boot once or twice a year :-/

linas (linasvepstas) wrote :

In fact, adding a "dev /dev" line (as suggested in comment 48) to fstab is a disaster: it over-mounts a good /dev directory with an empty one, and then boot really screws up, since there are not /dev/tty's any more, and so getty fails ... ugh.

Steve Langasek (vorlon) wrote :

If you are not Ralf Hildebrandt, do not reopen this bug report. Please file a new bug report instead for your issue.

Changed in plymouth (Ubuntu):
status: New → Invalid

Seems to me, that ubuntu did not configure all packages after an atualization, and when I do a reboot, I get a plymouth error. I've tried to enter in recovery mode, of an older kernel and log to root password. So, in terminal, after type these commands bellow, the system started normally again. I hope this can help you!

sudo mount -o remount,rw /
sudo dpkg --configure -a
sudo mount -o remount,ro /
sudo sync
sudo reboot

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers